Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

I'm running Ubuntu 11.10 on a virtual host. I've tried upgrading to a newer version by running do-release-upgrade but the process fails with the following error(s).

Err http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    

Err http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    

Err http://ppa.launchpad.net precise/main Sources                                                                                                                                                                                           

Err http://ppa.launchpad.net precise/main amd64 Packages                                                                                                                                                                                    

Err http://ppa.launchpad.net precise/main i386 Packages                                                                                                                                                                                     

Err http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    

Err http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    

Err http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    

Err http://ppa.launchpad.net precise/main Sources                                                                                                                                                                                           
  404  Not Found                                                                                                                                                                                                                            
Err http://ppa.launchpad.net precise/main amd64 Packages                                                                                                                                                                                    
  404  Not Found                                                                                                                                                                                                                            
Err http://ppa.launchpad.net precise/main i386 Packages                                                                                                                                                                                     
  404  Not Found                                                                                                                                                                                                                            
Err http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    

Err http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    

Ign http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    
Ign http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    
Ign http://ppa.launchpad.net precise/main Translation-en                                                                                                                                                                                    
Fetched 0 B in 0s (0 B/s)                                                                                                                                                                                                                   

Error during update 

A problem occurred during the update. This is usually some sort of 
network problem, please check your network connection and retry. 

W:Failed to fetch 
http://ppa.launchpad.net/ferramroberto/java/ubuntu/dists/precise/main/source/Sources 
404 Not Found 
, W:Failed to fetch 
http://ppa.launchpad.net/ferramroberto/java/ubuntu/dists/precise/main/binary-amd64/Packages 
404 Not Found 
, W:Failed to fetch 
http://ppa.launchpad.net/ferramroberto/java/ubuntu/dists/precise/main/binary-i386/Packages 
404 Not Found 
, E:Some index files failed to download. They have been ignored, or 
old ones used instead. 

Restoring original system state
share|improve this question

marked as duplicate by Eliah Kagan, Jorge Castro, Tim, mikewhatever, Eric Carvalho Aug 16 at 0:32

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

    
You have a PPA configured which isn't active anymore. Remove the ppa.launchpad.net/ferramroberto ppa from "Software sources". Then try again. –  gertvdijk Jun 20 '13 at 11:57

1 Answer 1

up vote 4 down vote accepted

Remove the ppa and update:

sudo sudo add-apt-repository --remove ferramroberto/java
sudo apt-get update
share|improve this answer
    
ppa-purge is not a regular system provided package, as far as I know. I think you should include how to install ppa-purge. –  gertvdijk Jun 20 '13 at 13:48
    
fixed it for you –  wojox Jun 20 '13 at 18:39

Not the answer you're looking for? Browse other questions tagged or ask your own question.